Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 21 May 2022 01:43:36 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Very bad experience! 

I ordered On 13th may, I did not get my order and it’s very late 

No one called to get my location 
I am considering not to order from you again

, this bad delivery because I paid online ? So I have to go through sending emails and calling just so I would get my order ???? This is unprofessional and a waste of my time 

Very disappointed. 
I am a loyal Customer But not anymore. 
Just please get me my order. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4382475